Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Worker< Object > Class Template Reference

Define the interface for the Worker objects. More...

`#include <ESF_Worker.h>`

Inheritance diagram for TAO_ESF_Worker< Object >:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_ESF_Worker (void)
virtual void | set_size (size_t size)
virtual void | work (Object *object ACE_ENV_ARG_DECL)=0
| Callback interface.

## Detailed Description

### template<class Object>
class TAO_ESF_Worker< Object >

Define the interface for the Worker objects.

The Event Service Framework uses Worker classes to iterate over collections of proxies. The following class defines the worker interface, basically users of the framework implement a worker object and pass it to one collection. The collection invokes the worker for each element the colection contains.

## Constructor & Destructor Documentation

template<class Object>
TAO_ESF_Worker< Object >::~TAO_ESF_Worker | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<class Object>
void TAO_ESF_Worker< Object >::set_size | ( | size_t | size | ) | `[virtual]`

| Used by the collection to inform the worker the number of proxies in the collection.

template<class Object>
virtual void TAO_ESF_Worker< Object >::work | ( | Object *object | ACE_ENV_ARG_DECL | ) | `[pure virtual]`

| Callback interface.

The documentation for this class was generated from the following files:

- ESF_Worker.h
- ESF_Worker.cpp